////
/// Jive styles general overwrites 2. Limit this to the minimum possible
///  IMPORTANT : all this css won't be prefixed or scopified.
/// @group Jive css overwrites
/// 
////
@import '../../site-foundation/scss/util/unit';
@import '../../site-foundation/scss/util/util';
@import '../../site-foundation/scss/global';
@import '../../site-foundation/scss/components/reveal';
@include foundation-reveal;
@import 'settings';
@import 'partials/jj-styles';
@import 'partials/instafeed';
@import 'partials/demo';
@import 'partials/snow';
$primary-color: map-get($foundation-palette, primary);
$secondary-color: map-get($foundation-palette, secondary);
$thumb-bg:#ceb7D4 !default;
/// Set font to proximus font to common elements, not available in jive
body,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Proximus-Regular', Verdana, sans-serif;
    font-weight: normal;
}

/// Set title h1 and paragraphs to proximus light font, not available in jive. Also include lists in content areas.
h1,
p,
.j-excerpt,
.j-content-thumb article,
.j-content ol,
.j-content li {
    font-family: 'proximuslight', Verdana, sans-serif;
    font-weight: normal;
}

/// Set bold to proximus bold font, not available in jive
strong,
b {
    font-family: 'Proximus-Bold', Verdana, sans-serif;
}

/// Always show pointer on hover a element
a {
    &:hover {
        cursor: pointer;
    }
}

// js inserted sticky toc
//@todo move 
.scroll-to-fixed-fixed .prx-toc-title-repeat {
    visibility: visible;
    height: auto;
    padding: 1em 0;
    display: block;
}

/// Tutorial start and stop indicator, only visible in RT editor in jive
.tut-limit {
    //display: none;
}

///jive top navigation links julio
.j-globalNavLink {
    @include breakpoint( medium) {
        font-size: 16px;
    }
}

///  Add the proximus brand rounded style to jive buttons
button,
.button,
.j-btn-global {
    border-radius: 0 0 15px;
    font-size: 1.25em;
    -webkit-transition: background-color 300ms ease-out;
    transition: background-color 300ms ease-out;
    text-decoration: none;
}

///  Add the proximus brand hover style to jive buttons
button:hover,
.button:hover,
.j-btn-global {
    text-decoration: none;
    -webkit-transition: background-color 300ms ease-out;
    transition: background-color 300ms ease-out;
}

///  Remove background from button in template chooser
.j-template-chooser-body button {
    background: none;
}

/// Fix desktop stream title link
a.j-news-stream-name.font-color-meta-light {
    @include breakpoint( medium) {
        padding: 10px 10px 10px 0;
        color: #5c2d91;
        text-transform: none;
        font-size: 18px;
        text-transform: capitalize;
        font-family: "proximuslight", Verdana, sans;
    }
}

/// Remove gray overlay on blogpost image 
.j-banner-module-header::after,
.jive-body-formpage .j-banner-module-header.j-banner-uploaded::after {
    display: none;
}

[class*=" proxicon-"],
[class^="proxicon-"] {
    vertical-align: middle;
}

#j-links #mobile-search>a:before,
.icon-search:before,
.proxicon-Search:before {
    font-family: "proxicon" !important;
    content: "\e01e" !important;
}

.prx-wrapper.weekmenu {
    .prx-learning-block__section {
        .j-rte-table {
            .j-table {
                font-size: 18px;
                border-collapse: collapse;
                margin-bottom: 0;
                border: none;
                text-align: center;
                tbody {
                    border: none;
                    background: none;
                }
                th {
                    background: $primary-color;
                    color: $white;
                    text-align: left;
                }
                tr:nth-child(odd) {
                    background: lighten($light-bg, 5%);
                    background: transparent;
                }
                tr:nth-child(even) {
                    background: #fdfdfd;
                    background: transparent;
                }
                th,
                td {
                    position: relative;
                    border: none;
                    border-bottom: 1px solid #fff;
                    padding: 1em;
                    &:after {
                        content: '';
                        width: 20%;
                        display: inline-block;
                        position: absolute;
                        left: 40%;
                        bottom: 0;
                        height: 1px;
                        background: $border-gray;
                    }
                }
                tr:last-child {
                    th,
                    td {
                        &:after {
                            display: none;
                        }
                    }
                }
            }
        }
    }
}

.j-tile-banner {
    figure {
        figcaption {
            transition: background .5s ease;
            color: $white;
            background: rgba($primary-color, 0.9);
        }
    }
    a:hover {
        figcaption {
            transition: background .5s ease;
            background: rgba($secondary-color, 0.9);
        }
    }
}

/// background color for white place icons 
.j-place-thumb .j-place-photo {
    background: $thumb-bg;
}

/// Proxicon size modifiers
[class*=" proxicon-"],
[class^="proxicon-"] {
    &.prx-large {
        font-size: 1.65em;
    }
    &.prx-xl {
        font-size: 2.8em;
    }
    &.prx-xxl {
        font-size: 4em;
    }
}

/// Overwrite padding all tiles in wide column Jive
.j-place-column .j-tile:not(.j-tileType-banner, .j-stream-container):not(.j-stream-container) {
    @include breakpoint( medium) {
        padding: 15px;
    }
}

.j-tileType-iframe .j-tile-iframe {
    width: 100%;
}

/// If there is only one column: increase padding
.j-place-column-wrap.js-column-wrap-wide:first-child:last-child {
    .j-tile {
        padding: 2.5%;
    }
}

/// More readability in standard styling rte contents and display also in TinyMce. Style links in body text. 
.j-content-body,
.tiny_mce_content {
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    p {
        margin-bottom: $spacing-small * 2.25;
        line-height: 1.5;
    }
    p {
        a {
            color: $secondary-color;
            text-decoration: underline;
            &:hover,
            &:focus {
                text-decoration: none;
            }
            .j-tile-content & {
                color: $primary-color;
                text-decoration: none;
                &:hover,
                &:focus {
                    text-decoration: underline;
                    color: $secondary-color;
                }
            }
        }
    }
    /// adjust margins blockquote paragraphs
    blockquote {
        p {
            margin: $spacing-small * 2.25;
        }
    }
}

/// No margin bottom on alert
.jive_macro_alert {
    p {
        margin-bottom: 0;
    }
}

/// Fix alignment icon with text
.jive_macro_alert[alert=danger]:before {
    top: 13px;
}

/// Setting a more readable line height globally
.jive-rendered-content {
    p {
        line-height: 1.5;
    }
}

p {
    line-height: 1.5;
}

/// Document viewer title lay-out inconsistencies
.j-tile-body.j-tile-content {
    line-height: 1.5;
    font-size: 15px;
}

/// Style jive auto inserted table classes wthin media-block
.prx-media-block {
    .j-rte-table {
        height: 100%;
        overflow: hidden;
    }
    .jive-image,
    .jive-rendered-content img.jive-image,
    .jive-rendered-content img.jive-image.j-img-original {
        all: initial;
        margin-top: 0 !important;
    }
}

/// Foundation uses this for media queries js plugins , fe equalizer
.foundation-mq {
    font-family: '#{-zf-bp-serialize($breakpoints)}';
}

/// Font size and padding top overwrite of author text in news stream
.j-act-stream .j-author-act,
.j-news-stream-item .j-act-init .j-author-act {
    font-size: 12px;
    padding-top: 8px;
}

/// Mobile fix of jive subspace place title lineheight bug
.j-placeTitle {
    .j-page-header-parent {
        @include breakpoint( medium down) {
            line-height: normal;
        }
    }
}

/// Fix hard-coded width of 520 of video iframe
.jive_macro_videomacro {
    max-width: 100%;
}

/// Set video to full width of iframe
.jive-video-view.jive-content-video iframe {
    max-width: 100%;
}

/// Fixing hardcoded height on Will you be attending? buttons 
.j-design-latest .j-event-details-block .j-event-rsvp .j-event-rsvp-buttons .j-btn-global {
    height: auto;
}

/// Overwrite document viewer tile media block image : jive does !important on everything.
/// @todo create background JS version
.j-tile.j-tileType-content .j-tile-content .j-content-body {
    .prx-media-block {
        margin-bottom: 0;
    }
    .prx-media-block__media img {
        @include breakpoint( medium) {
            max-width: initial !important;
            max-height: 350px!important;
        }
    }
    .prx-media-block--small {
        img {
            @include breakpoint( medium) {
                max-height: 250px!important;
            }
        }
    }
}

/// Fix bad outlining button with input field
.j-rtc-input .j-status-input-actions {
    bottom: 4px;
}

/// Fix background color of space icon intop space search result, cause it is white on light grey
#j-search-visor .j-visor-search-results-wrapper .j-visor-search-results-inner>li.j-visor-result-top-result .j-search-place-image {
    background-color: $primary-color;
}

#__content div#tabs-container {
    margin: 0px;
}

/// Limit logo size
.j-simple-logo img {
    max-width: 75px;
    @include breakpoint( medium) {
        max-height: 120px;
    }
}

/// Set logo WAP
.j-simple-logo img:after {
    background: url ('https://userinterface.be/proximus/img/proximus_intranet_logo.png') transparent no-repeat;
}

/// Separation border between navigation items
.j-globalNav li.j-globalNav-li {
    border-left: 1px solid #cac4de;
}

/// Remove Separation border from logo
.j-simple-nav-logo,
.js-satellite-nav-container {
    border-left: none !important;
}

/// Insert Search string after search icon
#j-nav-search span.nav-link.j-ui-elem:after {
    content: "Search";
    font-size: 16px;
    padding: 0 10px;
    position: relative;
    top: -2px;
    [lang="nl"] & {
        content: "Zoek";
    }
    [lang="fr"] & {
        content: "Recherche";
    }
}

/// Gradient line under header menu
.header-border,
.footer-border {
    width: 100%;
    height: 12px;
    display: block;
    background: linear-gradient(to right, rgb(92, 45, 145) 60%, rgb(4, 175, 238) 100%);
    position: relative;
}

.j-simple-logo .js-logo .j-globalNavLink {
    padding-top: 0;
}

///on mobile only
@media screen and (max-width: 40em) {
    .header-border {}
    #j-header-wrap header #j-links .j-globalNav {
        background-color: white;
    }
    .j-simple-logo {
        padding-top: 10px;
    }
    .j-body-home .j-tile-body {
        padding-top: 10px;
    }
    #j-globalNav-bg {
        border-style: none;
    }
}

#j-globalNav>li:first-child+li.j-globalNav-li {
    margin: 0 0 0 -15px;
}

@media screen and (max-width: 40em) {
    .j-simple-logo img {
        padding-top: 10px;
    }
}

@media screen and (min-width: 40em) {
    .j-simple-logo img {
        max-width: 60px;
        padding-top: 5px;
    }
}

///header z-index overwrite
#j-header-wrap {
    @include breakpoint(medium) {
        position: relative;
        z-index: 10;
    }
}

/// corporate news title
#newsContainer>div.j-news-stream-item.js-news-item.j-news-stream-item-double>article>div>a {
    @include breakpoint( medium) {
        color: #5A3A81;
        font-family: proximuslight;
        text-decoration: none;
        text-transform: none;
    }
}

///!important can be removed if css isn't overwritten by jive
.j-tile-header h4 {
    color: #5A3A81 !important;
    font-family: proximuslight;
    font-size: 20px !important;
    padding-bottom: 5px !important;
    text-transform: none !important;
}

///overwrite size distribution between text and image in first news item on homepage
#newsContainer>div.j-news-stream-item.js-news-item.j-news-stream-item-double>article>div>div>a>picture>img {
    max-width: 100%;
    @include breakpoint( medium) {
        max-width: calc(25% - 10px);
    }
}

#newsContainer>div.j-news-stream-item.js-news-item.j-news-stream-item-double>article>div>div.j-act-init.j-act-doublewide>div {
    max-width: 100%;
    @include breakpoint( medium) {
        max-width: calc(75% - 10px);
        float: left;
    }
}

.j-contentDescription {
    color: #5b2d90;
    font-size: 16px;
    font-weight: 700;
    padding-top: 10px;
}

///Correction of image alignment in blogs - Jive should fix this on their side
.j-design-latest.j-content-post .j-content-body .jive-rendered-content img.jive-image.j-img-floatend {
    margin-right: 0;
}

.j-design-latest.j-content-post .j-content-body .jive-rendered-content img.jive-image.j-img-floatstart {
    margin-left: 0;
}

/// set line height f footer link cause in IE it's buggy
.j-footer-link {
    font-weight: 100;
    line-height: 1.75;
}

///Change white background on news and replace by more subtle color
.j-news-wrapper .j-tile {
    background: #f7f4f9;
    border-radius: 0;
   
    &:first-child{
         padding: 0;
    }
    ///fix margins in iframe
    body{
        margin:0;
    }
    &.j-tileType-iframe{
        padding:10px;
    }
}

///remove borders from feed tiles
.j-stream-container .j-act-content,
.j-profile-stream .j-act-content,
.j-stream-tile.j-stream-container .j-act-entry .j-act-content,
#jive-alert {
    border-radius: 0px;
}

///Calendar HP
.j-tile-calendarIcon .day,
.j-tile-calendarIcon {
    background: white;
    border-radius: 0;
}

.j-tile-calendarIcon .month {
    background: #00bcee;
    border-radius: 0;
}

///Homepage |
///  Removes borders & background from tiles on HP.
/// Adds a line bellow all blocks in the right column
figure>a>figcaption>p {
    color: white;
}

.jive-widget .j-tile-header h4,
.j-tile .j-tile-header h4 {
    //max-width: 95%;
    //text-overflow: ellipsis;
    white-space: normal;
    max-width: 95%;
}

@media screen and (max-width: 40em) {
    .jive-widget .j-tile-header h4,
    .j-tile .j-tile-header h4 {
        white-space: inherit;
        overflow: inherit;
    }
}

/// header system announcements
#j-custom-header-container {
    background-color: #eaeaec;
}

#proximus-announcements {
    list-style-type: none;
    margin: auto;
    max-width: 1200px;
}

@media screen and (max-width: 40em) {
    #proximus-announcements li:first-child {
        padding-top: 30px;
        padding-bottom: 15px;
    }
    #proximus-announcements li {
        padding: 10px 15px 15px 15px;
        min-height: 2.6rem;
    }
    #proximus-announcements .content-text {
        display: none;
    }
}

#proximus-announcements li {
    display: none;
    padding: 15px;
    position: relative;
    //width: 100%;
    height: auto;
}

#proximus-announcements li:last-child {
    display: block;
    padding: 15px;
}

#proximus-announcements li i {
    display: inline-block;
    float: left;
    color: #e52154;
    font-size: 2.6rem;
    padding-right: 10px;
}

#proximus-announcements .subject {
    font-size: 1.2rem;
    color: #5c2d91;
}

#proximus-announcements a {
    display: block;
}

#proximus-announcements .content-text p {
    font-family: proximuslight;
}

///slider announcements
#slider {
    position: relative;
    overflow: hidden;
}

#control-position {
    position: relative;
    float: left;
    margin-right: 10px;
    margin-left: 0px;
}

@media screen and (max-width: 40em) {
    #control-position {
        position: relative;
        float: right;
        margin-left: 10px;
        margin-right: 0px;
        margin-top: 10px;
    }
}

a.control_prev,
a.control_next {
    z-index: 999;
    display: block;
    padding: 10px;
    width: auto;
    height: 100%;
    background: #5c2d91;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    font-size: 18px;
    opacity: 0.8;
    cursor: pointer;
    float: right;
    text-align: center;
    margin-top: 10px;
}

a.control_prev:hover,
a.control_next:hover {
    opacity: 1;
    -webkit-transition: all 0.2s ease;
}

///target only homepage
#j-activity-page #jive-alert {
    display: none;
}

///Footer
#j-footer-wrap {
    max-width: 100%;
    margin: 0;
    //margin-top:20px;
    padding: 0 auto;
}

#j-cust-foot {
    width: 100%;
}

#proximus-footer-wrap {
    margin: auto;
    max-width: 1200px;
    padding: 20px 20px 0px 20px;
}

#proximus-footer-wrap .left {
    display: block;
    float: left;
    width: 33.3%;
}

#proximus-footer-wrap .center {
    display: block;
    width: 33.4%;
}

#proximus-footer-wrap .right {
    display: block;
    float: right;
    width: 33.3%;
}

#j-footer-wrap #j-footer {
    max-width: 1200px;
}

#j-footer-wrap #prx-logo {
    max-width: 170px;
}

#j-footer-wrap .social,
#j-footer-wrap .legal {
    text-align: right;
}

#j-footer-wrap .social {
    margin-bottom: 15px;
}

#j-footer-wrap .social a {
    text-decoration: none;
}

.j-tile-banner figure figcaption {
    transition: background .5s ease;
    color: #fff;
    background: rgba(92, 45, 145, .9)
}

.j-tile-banner a:hover figcaption {
    transition: background .5s ease;
    background: rgba(0, 188, 238, .9)
}

.j-placeNav .j-placeNavBg {
    background: #4f198c;
    height: 35px;
    opacity: 0.9;
}

.j-placeNav .j-placeLinks li>a {
    color: #FFFFFF;
}

/// scroll to top button
.back-to-top {
    display: inline-block;
    height: 40px;
    width: 40px;
    position: fixed;
    bottom: 40px;
    right: 30px;
    background: rgba(91, 44, 144, 0.3);
    //visibility:hidden;
    opacity: 0;
    z-index: -100;
    border: none;
    border-radius: 0 0 15px;
    @include breakpoint( medium) {
        right: 30px;
        bottom: 20px;
    }
}

.back-to-top,
.back-to-top.is-visible,
.back-to-top.fade-out,
.back-to-top.is-visible:hover,
.back-to-top.fade-out:hover {
    -webkit-transition: opacity .3s 0s, visibility 0s 0s;
    -moz-transition: opacity .3s 0s, visibility 0s 0s;
    transition: opacity .3s 0s, visibility 0s 0s;
}

.back-to-top * {
    display: inherit;
}

/// the button becomes visible 
.back-to-top.is-visible {
    opacity: 1;
    text-decoration: none !important;
    z-index: 100;
}

/// if the user keeps scrolling down, the button is out of focus and becomes less visible 
.back-to-top.fade-out {
    opacity: .5;
    text-decoration: none !important;
    z-index: 100;
}

.back-to-top:hover,
.back-to-top.fade-out:hover,
.back-to-top.is-visible:hover,
.back-to-top.is-visible.fade-out:hover {
    background-color: #00bbed;
    opacity: 1;
    -webkit-transition: background-color 200ms linear;
    -ms-transition: background-color 200ms linear;
    transition: background-color 200ms linear;
}

.back-to-top i {
    font-size: 1.5rem;
    color: white;
    position: relative;
    left: 10px;
    top: 10px;
}

///People Page Detail
///jive default is 200px
@media screen and (min-width: 641px) {
    .j2-profile-field-largetext {
        max-height: 300px !important;
    }
}

/// hide class in published content only( otherwise we do not see it in the RTE) , hide collapsible limits
.jive-body-content,
.j-body-inbox {
    .prx-hidden,
    .prx-collapse-zone {
        display: none !important;
    }
}


.prx-3-to-1-2:not(.editMode) {
    .j-layout-sms {
        .j-place-column-wrap:first-child {
            width: 100%;
            margin-bottom: $spacing-medium;
            padding-right: 0;
            .j-place-column {
                width: 100%;
            }
            .j-tileType-content {
                padding: 0;
                margin-top: 0;
            }
            .j-tileType-question {
                margin-top: 0;
                @include breakpoint( medium) {
                    padding: 40px 20%;
                }
                .j-tile-header h4 {
                    font-size: 32px!important;
                }
                .ask-a-question-search {
                    font-size: 18px;
                }
            }
        }
        .j-place-column-wrap:nth-child(2) {
            .j-place-column {
                width: calc(100% - 340px);
            }
        }
    }
}

.prx-firsttile-fullwidth:not(.editMode) {
    .prx-fullwidth-firsttile {
        margin-bottom: $spacing-medium;
    }
    .j-tile:nth-child(2) {
        @include breakpoint(medium) {
            margin-top: 0;
        }
    }
}

.prx-firsttile-col2-fullwidth:not(.editMode) {
    .j-column-wrap-wide {
        .j-tile:nth-child(2) {
            @include breakpoint(medium) {
                margin-top: 0;
            }
        }
    }
}

.prx-medium-hidden {
    @include breakpoint( medium) {
        display: none !important;
    }
}

.prx-small-hidden {
    @include breakpoint( medium down) {
        display: none !important;
    }
}

///fix unwanted black border carousel tile
.j-body-home .j-cSlide .j-slide-ratio-box {
    float: none
}

.prx-trigger {
    .proxicon-Plus,
    .proxicon-Collapse {
        color: $primary-color;
    }
    &:hover,
    &:focus {
        .proxicon-Plus,
        .proxicon-Collapse {
            color: $secondary-color;
        }
    }
}
///fix unwanted padding on prx custom tile, and fix iframe unwanted bottom padding
.js-tile.j-tile.j-tileType-custom_view {
     @include breakpoint(medium) {
                 padding: 0 !important;
            }
    
    iframe{
        vertical-align: middle;
    }
}
///media screen user defalts. We do not want people to comment or like on touchscreens cause thats all anonymous
.prx-mediascreen-user{
    
    #j-header-wrap,
    .j-comment-action-bar,
    .j-item-actions,
    .j-meta-actions{
        display: none;
    } 
} 

